<template>
    <div class="home spacing-top-mobile">
        <!-- MAIN BANNER -->
        <v-row
            :class="[
                {
                    'pa-md-0 banner-section justify-center':
                        $vuetify.breakpoint.lgAndUp,
                },
                'pa-md-0 banner-section',
            ]"
        >
            <v-col md="12" sm="12" lg="8" cols="12">
                <v-carousel
                    class="slide-show"
                    :continuous="true"
                    :cycle="cycle"
                    :show-arrows="false"
                    hide-delimiter-background
                    delimiter-icon="mdi-minus"
                    height="auto"
                >
                    <v-carousel-item v-for="(banner, i) in banners" :key="i">
                        <v-sheet height="100%" tile class="v-img-ca">
                            <v-img
                                :src="banner.image.url"
                                aspect-ratio="2"
                                contain
                                data-aos="fade-up"
                                data-aos-delay="100"
                                data-aos-once="true"
                            ></v-img>
                        </v-sheet>
                    </v-carousel-item>
                </v-carousel>
            </v-col>
            <v-col
                md="12"
                sm="12"
                lg="4"
                cols="12"
                class="d-flex align-center mobile-negative-top"
            >
                <v-row
                    :class="[
                        {
                            'pl-16 pr-16 pb-5': $vuetify.breakpoint.md,
                        },
                        'pl-5',
                    ]"
                >
                    <!-- TITLE -->
                    <v-col cols="12">
                        <span class="title">
                            <h1
                                data-aos="fade-up"
                                data-aos-anchor=".banner-section"
                                data-aos-once="true"
                                class="uppercase"
                            >
                                {{ $t('home.title') }}
                            </h1>
                        </span>
                    </v-col>

                    <!-- SUBTITLE -->
                    <v-col cols="12" class="pt-md-2 pt-2 pb-0"
                        ><span
                            class="subtitle"
                            data-aos="fade-up"
                            data-aos-delay="500"
                            data-aos-anchor=".banner-section"
                            data-aos-once="true"
                            >{{ $t('home.subtitle') }}</span
                        ></v-col
                    >
                    <v-col cols="12" class="pt-md-5 pb-0"
                        ><span
                            class="subtitle"
                            data-aos="fade-up"
                            data-aos-delay="800"
                            data-aos-anchor=".banner-section"
                            data-aos-once="true"
                            >{{ $t('home.subtitle2') }}</span
                        ></v-col
                    >

                    <!-- HIGHLIGHTS (MOBILE) -->
                    <v-col
                        cols="12"
                        class="highlight-section hidden-md-and-up mt-3"
                    >
                        <div class="pa-0 highlight-text align-center">
                            <p class="mb-2">
                                <v-icon small class="mr-1" color="white">
                                    mdi-check </v-icon
                                >{{ $t('home.highlight1') }}
                            </p>
                            <p class="mb-2">
                                <v-icon small class="mr-1" color="white">
                                    mdi-check </v-icon
                                >{{ $t('home.highlight2') }}
                            </p>
                            <p class="mb-2">
                                <v-icon small class="mr-1" color="white">
                                    mdi-check </v-icon
                                >{{ $t('home.highlight3') }}
                            </p>
                        </div>
                    </v-col>

                    <!-- CTA BUTTON -->
                    <v-col cols="6" md="12" class="pt-md-16">
                        <v-btn
                            color="badge"
                            height="150"
                            width="150"
                            class="rounded-circle cta-btn ml-md-0 ml-2 lowercase"
                            data-aos="fade-up"
                            data-aos-delay="1000"
                            data-aos-anchor=".banner-section"
                            data-aos-once="true"
                            @click="goToPage(menus.SIGNUP.id)"
                            >{{ $t('home.ctaBtn') }}</v-btn
                        >
                    </v-col>

                    <!-- SOCIAL MEDIA -->
                    <!-- <v-col
                        cols="5"
                        data-aos="fade-up"
                        data-aos-delay="500"
                        data-aos-anchor=".highlight-section"
                        data-aos-once="true"
                        class="hidden-md-and-up text-right align-self-end"
                    >
                        <v-icon color="white" class="pa-1">
                            mdi-facebook
                        </v-icon>

                        <br />

                        <v-icon color="white" class="pa-1">
                            mdi-instagram
                        </v-icon>
                    </v-col> -->
                </v-row>
            </v-col>
        </v-row>

        <!-- HIGHLIGHTS -->
        <v-row class="pl-16 pr-16 pb-5 highlight-section hidden-sm-and-down">
            <v-col
                cols="11"
                class="pa-0 highlight-text align-center d-flex"
                data-aos="fade-up"
                data-aos-anchor=".highlight-section"
                data-aos-once="true"
            >
                <span class="mr-16"
                    ><v-icon small class="mr-1" color="white">
                        mdi-check </v-icon
                    >{{ $t('home.highlight1') }}
                </span>
                <span class="mr-16">
                    <v-icon small class="mr-1" color="white"> mdi-check </v-icon
                    >{{ $t('home.highlight2') }}
                </span>
                <span class="mr-16">
                    <v-icon small class="mr-1" color="white"> mdi-check </v-icon
                    >{{ $t('home.highlight3') }}
                </span>
            </v-col>

            <!-- SOCIAL MEDIA -->
            <!-- <v-col
                data-aos="fade-up"
                data-aos-delay="500"
                data-aos-anchor=".highlight-section"
                data-aos-once="true"
            >
                <v-row class="justify-end align-right">
                    <v-icon
                        class="mr-1"
                        color="white"
                        @click="goToPage(menus.FACEBOOK.id)"
                    >
                        mdi-facebook
                    </v-icon>
                </v-row>
                <v-row class="justify-end align-right pt-2">
                    <v-icon
                        class="mr-1"
                        color="white"
                        @click="goToPage(menus.INSTAGRAM.id)"
                    >
                        mdi-instagram
                    </v-icon>
                </v-row>
            </v-col> -->
        </v-row>

        <!-- HOW IT WORKS -->
        <v-row
            class="pl-md-16 pr-md-16 pt-md-16 howitwork-section justify-center"
            data-aos="fade-up"
            data-aos-anchor=".howitwork-section"
            data-aos-once="true"
        >
            <v-col cols="11" md="12">
                <h2 class="pb-5">{{ $t('home.howItWorks') }}</h2>
                <p class="subtitle">{{ $t('home.howItWorksSubtitle') }}</p>
            </v-col>
        </v-row>

        <v-row class="pl-md-16 pr-md-16 justify-center">    
            <v-col
                md="4"
                cols="11"
                data-aos="fade-up"
                data-aos-delay="500"
                data-aos-anchor=".howitwork-section"
                data-aos-once="true" 
            >
                <div class="howContainer">
                    <v-img :src="rent" contain></v-img>
                    <div class="howInfo pa-lg-10 pa-md-0 pa-md-2">
                        <v-row justify="center">
                            <v-col align-self="center" cols="4">
                                <v-img class="howIcon" :src="step1" ></v-img>
                            </v-col>
                            <v-col align-self="center" cols="8">
                                <p class="works-title mb-1 font-syne-bold uppercase">
                                    {{ $t('home.step1Title') }}
                                </p>
                            </v-col>
                            <v-col class="my-lg-5 my-md-0 my-sm-5" cols="12">
                                <p class="step-desc">
                                    {{ $t('home.step1Desc') }}
                                </p>
                            </v-col>
                        </v-row>
                    </div>
                </div>
            </v-col>
            <v-col
                md="4"
                cols="11"
                data-aos="fade-up"
                data-aos-delay="500"
                data-aos-anchor=".howitwork-section"
                data-aos-once="true" 
            >
                <div class="howContainer">
                    <v-img :src="wear" contain></v-img>
                    <div class="howInfo pa-lg-10 pa-md-0 pa-md-2">
                        <v-row justify="center">
                            <v-col align-self="center" cols="4">
                                <v-img class="howIcon" :src="step2"></v-img>
                            </v-col>
                            <v-col align-self="center" cols="8">
                                <p class="works-title mb-1 font-syne-bold uppercase">
                                    {{ $t('home.step2Title') }}
                                </p>
                            </v-col>
                            <v-col class="my-lg-5 my-md-0 my-sm-5" cols="12">
                                <p class="step-desc">
                                    {{ $t('home.step2Desc') }}
                                </p>
                            </v-col>
                        </v-row>
                    </div>
                </div>
            </v-col>
            <v-col
                md="4"
                cols="11"
                data-aos="fade-up"
                data-aos-delay="1000"
                data-aos-anchor=".howitwork-section"
                data-aos-once="true" 
            >
                <div class="howContainer">
                    <v-img :src="repeat" contain></v-img>
                    <div class="howInfo pa-lg-10 pa-md-0 pa-md-2">
                        <v-row justify="center">
                            <v-col align-self="center" cols="4">
                                <v-img class="howIcon" :src="step3"></v-img>
                            </v-col>
                            <v-col align-self="center" cols="8">
                                <p class="works-title mb-1 font-syne-bold uppercase">
                                    {{ $t('home.step3Title') }}
                                </p>
                            </v-col>
                            <v-col class="my-lg-5 my-md-0 my-sm-5" cols="12">
                                <p class="step-desc">
                                    {{ $t('home.step3Desc') }}
                                </p>
                            </v-col>
                        </v-row>
                    </div>
                </div>
            </v-col>
        </v-row>

        <!-- PRODUCTS -->
        <v-row
            class="pl-md-16 pr-md-16 pt-md-16 product-section justify-center mb-md-10"
            data-aos="fade-up"
            data-aos-anchor=".product-section"
            data-aos-once="true"
        >
            <v-col md="4" cols="12" class="d-flex text-center">
                <h2>{{ $t('home.productsTitle') }}</h2>
            </v-col>
        </v-row>

        <!-- CAROUSEL COMPONENT -->
        <product-carousel v-if="products.length > 0" :products="products" />
        <!-- LOADER -->
        <loader-carousel
            v-else
            v-show="productLoader"
            :count="5"
            :text="true"
        />

        <!-- VIEW ALL CTA BUTTON -->
        <v-row class="mt-8">
            <v-col class="d-flex justify-center">
                <v-btn
                    text
                    color="badge"
                    class="lowercase"
                    @click="goToPage(menus.BROWSESTREETWEAR.id)"
                    >{{ $t('buttons.viewAllBtn') }}</v-btn
                >
            </v-col>
        </v-row>
        <!--  <div data-aos="fade-up" data-aos-delay="1500" data-aos-anchor=".plan-section"
            data-aos-once="true" class="plan-section"
            ></div> -->

        <!-- PLANS -->
        <div
            data-aos="fade-up"
            data-aos-anchor=".plan-section"
            data-aos-once="true"
            class="plan-section"
        >
            <v-row class="pl-md-16 pr-md-16 mt-md-16 justify-center">
                <v-col cols="11" md="12">
                    <h2 class="pb-5">{{ $t('home.pickPlan') }}</h2>
                    <p class="subtitle">{{ $t('home.planSubtitle1') }}</p>
                    <p class="subtitle">{{ $t('home.planSubtitle2') }}</p>
                </v-col>
            </v-row>
            <v-row>
                <v-col
                    v-for="(plan, p) in plans"
                    :key="'plan-' + p"
                    cols="12"
                    md="6"
                >
                    <v-row class="plan pa-md-10 ma-5 ma-md-0">
                        <v-col cols="12" class="d-flex justify-center">
                            <div class="planType-content">
                                <div class="planType-container">
                                    <p class="planType-title mb-1 font-syne-bold uppercase">
                                        {{ plan.name }}
                                    </p>
                                </div>
                                <div class="info-container">
                                    <p v-if="plan.featured == 1" class="info-title">
                                        {{ $t('home.bestValuePlan') }} 
                                    </p>
                                    <p v-else class="info-subtitle">
                                        <b>{{ plan.name }}</b>
                                    </p>
                                    <p class="info-subtitle" v-html="plan.info" />
                                </div>
                                <div class="d-flex justify-center">
                                    <v-btn
                                        class="mt-5 mx-5 lowercase br-0 pl-10 pr-10 plan-btn"
                                        color="black"
                                        @click="subscribeNow(plan.stripe_plan)"
                                    >
                                        <span class="tryMe">{{ $t('home.tryMe') }}</span>
                                        <span class="pickMe">{{ $t('home.pickMe') }}</span>
                                    </v-btn>
                                </div>
                            </div>
                        </v-col>
                        <v-col v-if="!dataLoad" class="d-flex justify-center">
                            <div>
                                <h1 class="price">
                                    {{ currencyName }} {{ plan.amount }}
                                    <span class="duration"
                                        >/{{ plan.interval }}</span
                                    >
                                </h1>
                                <!-- <div v-if="plan.featured" class="popularTag">
                                    <v-img :src="popularTag"></v-img>
                                </div> -->
                                <div
                                    class="mt-5 custom-list"
                                    v-html="plan.description"
                                />
                            </div>
                        </v-col>

                        <v-col v-else>
                            <v-skeleton-loader
                                id="dataLoader"
                                :loading="dataLoading"
                                class="mx-auto"
                                type="heading"
                            />
                            <v-skeleton-loader
                                id="dataLoader"
                                class="mt-5 mx-auto"
                                :loading="dataLoading"
                                type="paragraph"
                            />
                            <v-skeleton-loader
                                id="dataLoader"
                                class="mt-2 mx-auto"
                                :loading="dataLoading"
                                type="button"
                            />
                        </v-col>
                    </v-row>
                </v-col>
            </v-row>
        </div>

        <!-- BENEFITS -->
        <v-row
            class="pl-md-16 pr-md-16 pt-md-16 benefit-section text-center"
            data-aos="fade-up"
            data-aos-delay="1500"
            data-aos-anchor=".benefit-section"
            data-aos-once="true"
        >
            <v-col cols="12" md="12" class="text-center justify-center">
                <h2>{{ $t('home.benefitTitle') }}</h2>
            </v-col>

            <!-- BENEFIT 1 -->
            <v-col
                md="3"
                cols="6"
                class="pa-4"
                data-aos="fade-up"
                data-aos-delay="1500"
                data-aos-anchor=".benefit-section"
                data-aos-once="true"
            >
                <v-img :src="benefit1" width="40" class="ma-auto" />
                <p class="step-title my-2 font-metropolis-regular uppercase">
                    {{ $t('home.benefit1Title') }}
                </p>
                <p class="step-desc">{{ $t('home.benefit1Desc') }}</p>
            </v-col>

            <!-- BENEFIT 2 -->
            <v-col
                md="3"
                cols="6"
                data-aos="fade-up"
                data-aos-delay="1500"
                data-aos-anchor=".benefit-section"
                data-aos-once="true"
            >
                <v-img
                    :src="benefit2"
                    width="27"
                    height="45"
                    class="ma-auto"
                ></v-img>
                <p class="step-title my-2 font-metropolis-regular uppercase">
                    {{ $t('home.benefit2Title') }}
                </p>
                <p class="step-desc">{{ $t('home.benefit2Desc') }}</p>
            </v-col>

            <!-- BENEFIT 3 -->
            <v-col
                md="3"
                cols="6"
                data-aos="fade-up"
                data-aos-delay="1500"
                data-aos-anchor=".benefit-section"
                data-aos-once="true"
            >
                <v-img :src="benefit3" width="45" class="ma-auto"></v-img>
                <p class="step-title my-2 font-metropolis-regular uppercase">
                    {{ $t('home.benefit3Title') }}
                </p>
                <p class="step-desc">{{ $t('home.benefit3Desc') }}</p>
            </v-col>

            <!-- BENEFIT 4 -->
            <v-col
                md="3"
                cols="6"
                data-aos="fade-up"
                data-aos-delay="1500"
                data-aos-anchor=".benefit-section"
                data-aos-once="true"
            >
                <v-img :src="benefit4" width="40" class="ma-auto"></v-img>
                <p class="step-title my-2 font-metropolis-regular uppercase">
                    {{ $t('home.benefit4Title') }}
                </p>
                <p class="step-desc">{{ $t('home.benefit4Desc') }}</p>
            </v-col>
        </v-row>

        <!-- BRAND INDEX -->
        <v-row
            class="pl-md-16 pr-md-16 pt-md-16 brand-index-section"
            data-aos="fade-up"
            data-aos-delay="1500"
            data-aos-anchor=".brand-index-section"
            data-aos-once="true"
        >
            <v-col cols="12" class="text-center">
                <h2>{{ $t('home.brandIndexTitle') }}</h2>
            </v-col>
        </v-row>

        <!-- CAROUSEL COMPONENT -->
        <brand-index-carousel v-if="brands.length > 0" :brands="brands" />

        <!-- LOADER -->
        <loader-carousel
            v-else
            v-show="productLoader"
            :count="5"
            :text="true"
        />

        <!-- INSTAGRAM FEED -->
        <div
            id="elfsight-instagram"
            class="social-media-section pt-md-16 pb-md-16"
        />

        <!-- SUBSCRIBE -->
        <v-row
            data-aos="fade-up"
            data-aos-delay="1500"
            data-aos-anchor=".subscribe-section"
            data-aos-once="true"
            class="subs-desktop"
        >
            <v-col cols="12" class="pt-10 pt-md-0 px-16 my-md-16">
                <div class="subscribe-container">
                    <v-img :src="subsDesktop" contain></v-img>
                    <div class="d-flex flex-column align-end subscribe-info">
                        <h2 class="subs-text text-right">{{ $t('home.subscribeTitle') }}</h2>
                        <v-btn
                            color="badge"
                            class="subs-btn lowercase mt-5"
                            @click="goToPage(menus.SIGNIN.id)"
                            >{{ $t('home.subscribeBtn') }}</v-btn
                        >
                    </div>
                </div>
            </v-col>
        </v-row>

        <v-row
            data-aos="fade-up"
            data-aos-delay="1500"
            data-aos-anchor=".subscribe-section"
            data-aos-once="true"
            class="subs-mobile"
        >
            <v-col cols="12">
                <v-row>
                    <v-col class="d-flex justify-center align-center">
                        <v-img :src="subsMobile" max-width="315px"></v-img>
                    </v-col>
                </v-row>
                <v-row class="mt-0">
                    <v-col class="d-flex flex-column justify-center align-center pt-0">
                        <div class="subs-info-mobile d-flex flex-column justify-center align-center">
                            <h2 class="subs-text text-center px-10">{{ $t('home.subscribeTitle') }}</h2>
                            <v-btn
                                color="badge"
                                class="subs-btn lowercase mt-5"
                                @click="goToPage(menus.SIGNIN.id)"
                                >{{ $t('home.subscribeBtn') }}</v-btn
                            >
                        </div>
                    </v-col>
                </v-row>
            </v-col>
        </v-row>
        <!-- <v-row
            class="pl-md-16 pr-md-16 pt-md-16 pb-md-16 subscribe-section justify-center"
            data-aos="fade-up"
            data-aos-delay="1500"
            data-aos-anchor=".subscribe-section"
            data-aos-once="true"
        >
            <v-col cols="12" md="7" class="d-flex align-center text-center">
                <h2>{{ $t('home.subscribeTitle') }}</h2>
            </v-col>
            <v-col cols="12" md="3" class="text-center text-md-left">
                <v-btn
                    height="150"
                    width="150"
                    class="rounded-circle transparent-bg subscribe-btn border-red lowercase text-wrap"
                    data-aos="fade-up"
                    data-aos-delay="1500"
                    data-aos-anchor=".subscribe-section"
                    data-aos-once="true"
                    @click="goToPage(menus.SIGNIN.id)"
                    >{{ $t('home.subscribeBtn') }}</v-btn
                ></v-col
            >
        </v-row> -->
    </div>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator'
import { mapGetters } from 'vuex'
const VueScrollTo = require('vue-scrollto')

@Component<any>({
    head() {
        return {
            titleTemplate: '%s',
            title: this.$t('meta.home.title'),
        }
    },
    computed: mapGetters({
        menus: 'menu/getMenu',
        user: 'user/getUser',
        menuDashboard: 'menu/getMenuDashboard',
        currency: 'currency/getCurrency',
        currencyName: 'currency/getCurrencyName',
    }),
})
export default class AppBar extends Vue {
    // Data
    menus!: any
    user!: any
    menuDashboard!: any
    cycle: Boolean = true
    dataLoad: boolean = true
    dataLoading: boolean = true
    productLoader: boolean = true
    brandLoader: boolean = true
    slides: any = [
        require('~/assets/images/bg6-6.jpg'),
        require('~/assets/images/bg1-1.jpg'),
        require('~/assets/images/bg2-2.jpg'),
        require('~/assets/images/bg3-3.jpg'),
        require('~/assets/images/bg4-4.jpg'),
        require('~/assets/images/bg5-5.jpg'),
    ]

    step1: String = require('~/assets/images/01_new.png')
    step2: String = require('~/assets/images/02_new.png')
    step3: String = require('~/assets/images/03_new.png')
    rent: String = require('~/assets/images/rent.png')
    wear: String = require('~/assets/images/wear.png')
    repeat: String = require('~/assets/images/repeat.png')
    subsDesktop: String = require('~/assets/images/subs-background.png')
    subsMobile: String = require('~/assets/images/subs-background-mobile.png')
    popularTag: String = require('~/assets/images/popular.svg')

    benefit1: String = require('~/assets/images/zap.png')
    benefit2: String = require('~/assets/images/value.png')
    benefit3: String = require('~/assets/images/delivery.png')
    benefit4: String = require('~/assets/images/globe.png')
    plans: any = []
    products: any = []
    brands: any = []
    banners: any = []
    message: any = null
    color: String = ''
    icon: String = ''

    // Methods
    goToPage(id: Number) {
        switch (id) {
            case this.menus.SIGNIN.id:
                if (!this.$cookies.get('t')) {
                    this.$router.push(this.menus.SIGNIN.path)
                } else {
                    this.$router.push(this.menuDashboard.SUBSCRIPTION.path)
                }
                break

            case this.menus.SIGNUP.id:
                // before login
                if (!this.$cookies.get('t')) {
                    VueScrollTo.scrollTo('.plan-section')
                } else {
                    this.$router.push(this.menus.BROWSESTREETWEAR.path)
                }
                break

            case this.menus.BROWSESTREETWEAR.id:
                this.$router.push(this.menus.BROWSESTREETWEAR.path)
                break

            case this.menus.FACEBOOK.id:
                window.open(this.menus.FACEBOOK.path)
                break

            case this.menus.INSTAGRAM.id:
                window.open(this.menus.INSTAGRAM.path)
                break

            default:
                this.$router.push('/')
                break
        }
    }

    subscribeNow(string) {
        if (!this.$cookies.get('t')) {
            this.message = this.$t('auth.unAuthenticate')
            this.color = 'red'
            this.icon = 'mdi-close-circle'

            const val = {
                text: this.message,
                color: this.color,
                icon: this.icon,
            }
            this.$store.dispatch('snackbar/displaySnackBar', val)
            this.$router.push(this.menus.SIGNIN.path)
        } else {
            this.$router.push(this.menuDashboard.SUBSCRIPTION.path)
        }
    }

    async getPlans() {
        this.dataLoad = true
        this.dataLoading = true
        const getPlans = await this.$api.plan.plans()
        if (getPlans) {
            this.dataLoad = false
            this.dataLoading = false
            this.plans = getPlans.data.data.reverse()
        }
    }

    async getProducts() {
        this.productLoader = true
        const response = await this.$api.product.getMostPopularProducts()
        if (response.data) {
            this.products = response.data.data
            this.productLoader = false
        }
    }

    async getBanners() {
        const getBanner = await this.$api.common.banners()
        if (getBanner) {
            this.banners = getBanner.data
        }
    }

    // get brands index
    async getBrands() {
        this.brandLoader = true
        await this.$api.common
            .brands()
            .then((response) => {
                this.brandLoader = false
                if (response.data) {
                    this.dataLoad = false
                    this.dataLoading = false

                    let data = response.data
                    data.sort((a, b) =>
                        a.name.localeCompare(b.name, 'es', {
                            sensitivity: 'base',
                        })
                    )

                    data = data.reduce((r, e) => {
                        const alphabet = e.name[0]
                        if (!r[alphabet])
                            r[alphabet] = { alphabet, record: [e] }
                        else r[alphabet].record.push(e)

                        return r
                    }, {})
                    this.brands = Object.values(data)
                }
            })
            .catch((error) => {
                if (error.response.status === 404) {
                    return this.$nuxt.error({
                        statusCode: 404,
                    })
                }
            })
    }

    // Mounted
    mounted() {
        if (this.$route.query.scroll === 'howitworks') {
            VueScrollTo.scrollTo('.howitwork-section')
        }

        if (this.$route.query.scroll === 'plans') {
            VueScrollTo.scrollTo('.plan-section')
        }

        const elfsightScript = document.createElement('script')
        elfsightScript.setAttribute(
            'src',
            'https://apps.elfsight.com/p/platform.js'
        )
        elfsightScript.setAttribute('defer', '1')

        const elfsightClass = document.createElement('div')
        elfsightClass.setAttribute(
            'class',
            'elfsight-app-955f0c66-9ea8-4fd3-8b39-03e38a111b40'
        )

        const elfSight = document.getElementById('elfsight-instagram')!
        elfSight.appendChild(elfsightScript)
        elfSight.appendChild(elfsightClass)
    }

    // Created
    created() {
        // Get plan
        this.getPlans()

        // Get products
        this.getProducts()

        // Get brands index
        this.getBrands()

        // Get banners index
        this.getBanners()
    }
}
</script>
